Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi.ticket
Interface NodeOpsV2

All Superinterfaces
  ISPIMarker, ISPITicketMarker, NodeOpsV1, Serializable

    public interface NodeOpsV2

extends NodeOpsV1

Nested Class Summary
`static class` | `NodeOpsV2.MethodName`

Method Summary
`boolean` | `canAccessNode(IContentContext context, ID nodeId)` if the specified node exists, can the caller access it? this is used for checking access to cached content
`QueryResult<Node>` | `getNodeChildrenWithRangeAndQueryCriteria(IContentContext context, ID parentId, int startPos, int numItems, QueryCriteria queryCriteria)` retrieve some or all the children of a parent node, referenced via ID, possibly sorting and/or filtering the results.

Methods inherited from interface com.bea.content.spi.flexspi.ticket.NodeOpsV1
`addNodeContent, copyNode, createNodeWithNodeType, createNodeWithNodeTypeAndObjectClass, createNodeWithNodeTypeAndObjectClassAndWorkflow, createNodeWithNodeTypeAndWorkflow, deleteNode, getNativeFilterableProperties, getNativeSortableProperties, getNodeChildren, getNodeChildrenAsNodeIds, getNodeChildrenWithQueryCriteria, getNodeReferences, getNodesWithIds, getNodesWithIdsAndQueryCriteria, getNodeWithId, getNodeWithPath, getProperties, getPropertyBytes, moveNode, orderBefore, removeNodeContent, renameNode, save, updateProperties`

Method Detail

### getNodeChildrenWithRangeAndQueryCriteria

    QueryResult<Node> getNodeChildrenWithRangeAndQueryCriteria(IContentContext context,
                                                               ID parentId,
                                                               int startPos,
                                                               int numItems,
                                                               QueryCriteria queryCriteria)
                                                               throws RepositoryException

  retrieve some or all the children of a parent node, referenced via ID, possibly sorting and/or filtering the results.

  Parameters
    `context` - the ContentContext object
    `parentId` - the parent node ID
    `startPos` - the starting position (0=first item)
    `numItems` - the number of items to fetch. Can be ContentListKeys.ALL_ITEMS (to fetch all items)
    `queryCriteria` - sort/filter criteria requested by the client (the SPI is not required to sort/filter) The SPI should report in the return value how the results were actually sorted and/or filtered.
  Returns
  Throws
    `RepositoryException`

### canAccessNode

    boolean canAccessNode(IContentContext context,
                          ID nodeId)
                          throws RepositoryException

  if the specified node exists, can the caller access it? this is used for checking access to cached content

  Parameters
    `context` - The ContentContext object
    `nodeId` - The node to check access for
  Returns
    true if the node exists and the caller can access it, false if it does not exist, or it does and the caller cannot access it.
  Throws
    `RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.